Recent Posts

Pages: [1] 2 3 ... 10
1
AutoLISP (Vanilla / Visual) / Re: Creating a polyline without clicks
« Last post by ribarm on Today at 06:57:08 pm »
If you mean on "plpath.lsp", have a look at this video if you haven't already watched it...

http://www.youtube.com/watch?v=cMFI0KwPmU0&list=UUuaTEGtZpLRrdKlhAceZkVw
2
Dynamic Blocks / Re: Steel Shapes - Dynamic/Parametric
« Last post by Kerry on Today at 06:55:58 pm »
Wow, very nice DCl, lots of options too.

What is the distort dimensions about?

Wild assed Guess :
Provide the option to exaggerate the thickness on the flange or web. This will draw the lines further apart and stop bleeding when printing, thus retain visual 'representational' integrity.
... sort of like we did 25 or 30 years ago on the board. ( when we didn't have an accurate 'distance' command :-) )
3
Dynamic Blocks / Re: Steel Shapes - Dynamic/Parametric
« Last post by CAB on Today at 05:05:26 pm »
Wow, very nice DCl, lots of options too.

What is the distort dimensions about?
4
AutoLISP (Vanilla / Visual) / Creating a polyline without clicks
« Last post by fabcad on Today at 04:53:38 pm »
Good evening everyone,

I found this great program that allows you to create multiple perpendicular relative to the polyline while dragging the mouse over this pline is what amazing , so I thought taking this concept to create a polyline without click the polyline end points it would end.

Here is the algorithm of perfect function:

Algorithm:
- Selecting a "curve" and a starting point.
- As long as the click point did not "forced" (nearest point) on the segment while taking vertex as the mouse over the object.
- If an intersection is found, continue if the object being permitted or ask the user to choose another object curve.
- And so on until the pressure of a stop under the program.


Thank you in advance, it will allow creation of polylines surfaces very quickly to the user.

Quote
Bonsoir à tous,
J'ai trouvé ce génial programme qui permet de créer plusieurs perpendiculaires par rapport à la polyligne tout en faisant glisser la souris sur cette polyligne, c'est ce qui m'épate et donc j'ai imaginé prendre ce concept pour créer une polyligne sans cliquer les points des extrémités de polylignes dont elle serait issue.
Voici l’algorithme de la fonction rêvée :
Algorithme :
- Sélection d'une "curve" et d'un point de départ.
- Tant que le clic n'a pas pris de point "forcé" (accroche proche) sur le segment alors prise des sommets au fur et à mesure du passage de la souris sur l'objet en cours.
- Si une intersection est trouvée, continuer si l'objet en cours le permet ou demander à l'utilisateur de choisir un autre objet curve.
- Et ainsi de suite jusqu'à la pression d'une d’arrêt prévue par le programme.
Merci d'avance, elle permettra des créations de polylignes de surfaces très rapidement pour l'utilisateur.

5
Lee, I think you're right, the only difference between "_X" and "_A" mode is that "_A" mode excludes objects on frozen layers, and in both cases to be sure what's selected, you must provide 410 DXF code in selection filter...
6
@ Lee: Do you have a particular reason for not using the "_A" option of the ssget function?

I thought the 'A' mode string excluded objects on frozen layers, I wasn't aware that this mode restricted the selection to the objects in the current viewport.

Lee
7
Dynamic Blocks / Re: Steel Shapes - Dynamic/Parametric
« Last post by hermanm on Today at 08:46:29 am »
Quote
Mine is database driven... I can't share it in it's current state.
I have plans to re-write parts of the Application and release it into the wild. I don't have a timeframe at the moment.
The App draws elevations, plans and sections in 2D ... and adds xdata to assist in data extraction.

Ditto.:)

8
@ Lee:
Do you have a particular reason for not using the "_A" option of the ssget function?

IMO this:
Code: [Select]
(ssget "_X"
  (list '(0 . "INSERT") (cons 2 (strcat "`*U*," blk))
    (if (= 1 (getvar 'cvport))
      (cons 410 (getvar 'ctab))
       '(410 . "Model")
    )
  )
)
Can be replaced by:
Code: [Select]
(ssget "_A" (list '(0 . "INSERT") (cons 2 (strcat "`*U*," blk))))
9
I am using undivided crowned, center baseline pivot method.
2 lanes, and emax 8%.
10
AutoLISP (Vanilla / Visual) / Re: Changing anonymous block with another block
« Last post by Lee Mac on October 24, 2014, 06:37:39 pm »
Thank you for your compliments Rabbit, I'm delighted to hear that you were able to tweak the code as required  8-)
Pages: [1] 2 3 ... 10